summaryrefslogtreecommitdiff
path: root/ext/io/console/io-console.gemspec
AgeCommit message (Collapse)Author
2021-04-22[ruby/io-console] Move FFI console under libCharles Oliver Nutter
Having the separate dir makes testing difficult and doesn't reflect the structure the gem will eventually have. We can filter these files out if necessary when building the CRuby gem. https://github.com/ruby/io-console/commit/881010447c
2021-03-28[ruby/io-console] bump up to 0.5.9Nobuyoshi Nakada
https://github.com/ruby/io-console/commit/302e86a28c https://github.com/ruby/io-console/commit/0690862526
2021-01-16[ruby/io-console] Rubygems 3.2 supports `--platform` optionNobuyoshi Nakada
https://github.com/ruby/io-console/commit/c8046fde84
2021-01-16[ruby/io-console] Moved JRuby version files into particular pathNobuyoshi Nakada
https://github.com/ruby/io-console/commit/b0691d2c20
2021-01-16[ruby/io-console] Delegate to JRuby versionNobuyoshi Nakada
Add `--platform` option tentatively. https://github.com/ruby/io-console/commit/3bf1a7b753
2021-01-16[ruby/io-console] bump up to 0.5.7Nobuyoshi Nakada
https://github.com/ruby/io-console/commit/f55d7ebff6
2020-08-18Update the license for the default gems to dual licensesHiroshi SHIBATA
2020-06-11Gem::Specification#date is set automatically by RubyGems.org.Hiroshi SHIBATA
2020-02-18[ruby/io-console] bump up to 0.5.6Nobuyoshi Nakada
2020-01-18[ruby/io-console] bump up to 0.5.5Nobuyoshi Nakada
2020-01-18[ruby/io-console] Update the minimum requirement of Ruby versionHiroshi SHIBATA
https://github.com/ruby/io-console/commit/73e7b6318a
2019-12-30[ruby/io-console] bump up to 0.5.4Nobuyoshi Nakada
2019-12-22[ruby/io-console] bump up to 0.5.3Nobuyoshi Nakada
2019-12-17[ruby/io-console] bump up to 0.5.2Nobuyoshi Nakada
2019-12-10[ruby/io-console] bump up to 0.5.1Nobuyoshi Nakada
2019-12-10[ruby/io-console] bump up to 0.5.0Nobuyoshi Nakada
2019-09-10[ruby/io-console] Drop fat gem supportNobuyoshi Nakada
https://github.com/ruby/io-console/commit/972ceb081d Notes: Merged: https://github.com/ruby/ruby/pull/2440
2019-07-25[ruby/io-console] Do not use add_development_dependencyNobuyoshi Nakada
https://github.com/ruby/io-console/commit/bc77f46391
2018-12-27io-console.gemspec: updatenobu
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@66580 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2018-12-25io-console: bump to 0.4.7nobu
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@66539 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2018-03-02io/console: drop 2.1.0 support [ci skip]nobu
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@62633 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2018-03-02io/console: drop 2.0.0 support [ci skip]nobu
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@62631 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2017-09-15To use github url for gemspec.hsbt
[Bug #13906][ruby-core:82817] git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59931 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2017-09-14Update gemspec for gem released versions.hsbt
* These are dbm, fcntl, io-console, sdbm, stringio, strscan, zlib, cmath, scanf. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59873 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2016-09-11Use https instead of http in some URLskazu
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@56135 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2016-04-15io/console: bump upnobu
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54593 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2015-12-23io/console: fix gem build failure on Windowsnobu
* ext/io/console/extconf.rb: fix gem build failure on Windows. only win32_vk.inc is included in the gem and no dependencies for the header, so that gperf will not be mandatory. [ruby-core:72453] [Bug #11866] * ext/io/console/io-console.gemspec: include depend file and win32_vk header. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@53266 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2015-12-22io-console.gemspec: BSD-2-Clausenobu
* ext/io/console/io-console.gemspec: change the license to BSD-2-Clause since "ruby" is no longer valid license as gem. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@53245 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2015-12-22io-console.gemspec: bump upnobu
* ext/io/console/io-console.gemspec: bump up to 0.4.4. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@53242 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2015-06-13* ext/bigdecimal/bigdecimal.gemspec: Fix require paths for released gem.hsbt
[fix GH-929] Patch by @voxik * ext/io/console/io-console.gemspec: ditto. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@50860 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2014-12-17io-console.gemspec: bump upnobu
* ext/io/console/io-console.gemspec: bump up to 0.4.3. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@48878 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2013-11-13io-console.gemspec: certificationnobu
* ext/io/console/io-console.gemspec: add a certification. http://www.benjaminfleischer.com/2013/11/08/how-to-sign-your-rubygem-cert/ git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@43662 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2013-08-09io-console.gemspec: drop 1.9nobu
* ext/io/console/io-console.gemspec: drop 1.9 support since rb_cloexec_open() is mandatory now. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@42473 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2013-02-16io/console: 0.4.2nobu
* ext/io/console/io-console.gemspec: bump to 0.4.2. now explicitly requires ruby 1.9.3 or later. [Bug #7847] git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39272 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2013-02-04io-console.gemspec: 0.4.1nobu
* ext/io/console/io-console.gemspec: bump to 0.4.1. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39043 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2013-02-04io-console.gemspec: limit date lengthnobu
* ext/io/console/io-console.gemspec: limit Date keyword length to get rid of locale format. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39042 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2013-02-04io-console.gemspec: updatenobu
* ext/io/console/io-console.gemspec: use Date keyword and add licenses. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39041 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2013-02-03* ext/io/console/io-console.gemspec: fix date.nobu
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39032 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2013-02-03io-console.gemspec: bumpnobu
* ext/io/console/io-console.gemspec: bump. [Bug #7762] git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39031 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2011-10-16* ext/bigdecimal/bigdecimal.gemspec (files): fixed typo, andnobu
removed nonexistent file. * ext/bigdecimal/bigdecimal.gemspec (homepage): added. * ext/io/console/io-console.gemspec (homepage): ditto. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@33470 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2011-06-30 * ext/io/console/io-console.gemspec: spin-off gem for 1.9.2.nobu
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@32330 b2dd03c8-39d4-4d8f-98ff-823fe69b080e